Skip to main content
DELETE
/
api
/
kb
/
collections
/
{collection_name}
/
documents
/
{filename}
Delete Document Api
curl --request DELETE \
  --url https://api.example.com/api/kb/collections/{collection_name}/documents/{filename} \
  --header 'Authorization: Bearer <token>'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_name
string
required
filename
string
required

Query Parameters

file_id
string | null

Preferred UploadedFile file_id for document lookup

doc_id
string | null

Preferred doc_id for document lookup

Response

Successful Response

The response is of type Response Delete Document Api Api Kb Collections Collection Name Documents Filename Delete · object.